/* $Id: socklib.h,v 1.1 1998/12/28 15:26:31 mas Rel $
 * Copyright 1998 Marc Andr Selig.
 * All rights reserved.
 * Socket library.
 */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <netinet/in.h>

#define INET_PORT 8766

void init_sockaddr (struct sockaddr_in *name,
                    const char *hostname,
                    unsigned short int port);

int make_socket (unsigned short int port);
     /* returns the fd to the socket */

int read_from_socket (int filedes, char *message, int max_msg_len);
     /* will return -2 on read error, -1 on EOF, 0 on success */

int write_to_socket (int filedes, char *message);
     /* will return -1 on error, 0 on success */
